# Class UploadButtonComponent

#### Implements

- ControlValueAccessor
- MatFormFieldControl<File>
- OnDestroy

- Defined in lib/upload-button/upload-button.component.ts:71

#####
Index

### Constructors

constructor

### Properties

_elementRef
_placeholder
accept
allowDownload
autofilled?
cdr
controlType?
disabled
document
errorState
focused
isImageUploaded
ngControl
onChange?
onTouched?
positions
required
shouldLabelFloat
snackBar
stateChanges
touched
uploaded
userAriaDescribedBy?
value
nextId

### Accessors

empty
id
isImage
placeholder

### Methods

download
ngOnDestroy
onContainerClick
onFileInputChange
onFocusIn
onFocusOut
openOverlay
registerOnChange
registerOnTouched
setDescribedByIds
setDisabledState
writeValue

## Constructors

### constructor

- new UploadButtonComponent(): UploadButtonComponent

- #### Returns UploadButtonComponent

  - Defined in lib/upload-button/upload-button.component.ts:136

## Properties

### `Private` `Readonly` _elementRef

_elementRef: ElementRef<any> = ...

- Defined in lib/upload-button/upload-button.component.ts:133

### `Private` _placeholder

_placeholder: string

- Defined in lib/upload-button/upload-button.component.ts:110

### accept

accept: InputSignal<string> = ...

- Defined in lib/upload-button/upload-button.component.ts:75

### allowDownload

allowDownload: InputSignal<boolean> = ...

- Defined in lib/upload-button/upload-button.component.ts:77

### `Optional` autofilled

autofilled?: boolean

Implementation of MatFormFieldControl.autofilled

- Defined in lib/upload-button/upload-button.component.ts:96

### `Private` `Readonly` cdr

cdr: ChangeDetectorRef = ...

- Defined in lib/upload-button/upload-button.component.ts:132

### `Optional` controlType

controlType?: string = 'rxap-upload-button'

Implementation of MatFormFieldControl.controlType

- Defined in lib/upload-button/upload-button.component.ts:97

### disabled

disabled: boolean = false

Implementation of MatFormFieldControl.disabled

- Defined in lib/upload-button/upload-button.component.ts:95

### `Private` `Readonly` document

document: Document = ...

- Defined in lib/upload-button/upload-button.component.ts:134

### errorState

errorState: boolean = false

Implementation of MatFormFieldControl.errorState

- Defined in lib/upload-button/upload-button.component.ts:98

### focused

focused: boolean = false

Implementation of MatFormFieldControl.focused

- Defined in lib/upload-button/upload-button.component.ts:99

### isImageUploaded

isImageUploaded: WritableSignal<boolean> = ...

- Defined in lib/upload-button/upload-button.component.ts:81

### `Readonly` ngControl

ngControl: null | NgControl = ...

Implementation of MatFormFieldControl.ngControl

- Defined in lib/upload-button/upload-button.component.ts:106

### `Private` `Optional` onChange

onChange?: ((file) => any)

#### Type declaration

- - (file): any

  - #### Parameters

    - file: File

    #### Returns any

- Defined in lib/upload-button/upload-button.component.ts:127

### `Private` `Optional` onTouched

onTouched?: (() => any)

#### Type declaration

- - (): any

  - #### Returns any

- Defined in lib/upload-button/upload-button.component.ts:128

### positions

positions: ConnectedPosition[] = ...

- Defined in lib/upload-button/upload-button.component.ts:82

### required

required: boolean = false

Implementation of MatFormFieldControl.required

- Defined in lib/upload-button/upload-button.component.ts:101

### shouldLabelFloat

shouldLabelFloat: boolean = true

Implementation of MatFormFieldControl.shouldLabelFloat

- Defined in lib/upload-button/upload-button.component.ts:102

### `Readonly` snackBar

snackBar: MatSnackBar = ...

- Defined in lib/upload-button/upload-button.component.ts:130

### stateChanges

stateChanges: Subject<void> = ...

Implementation of MatFormFieldControl.stateChanges

- Defined in lib/upload-button/upload-button.component.ts:103

### touched

touched: boolean = false

- Defined in lib/upload-button/upload-button.component.ts:91

### uploaded

uploaded: OutputEmitterRef<File> = ...

- Defined in lib/upload-button/upload-button.component.ts:79

### `Optional` userAriaDescribedBy

userAriaDescribedBy?: string

Implementation of MatFormFieldControl.userAriaDescribedBy

- Defined in lib/upload-button/upload-button.component.ts:104

### value

value: null | File = null

Implementation of MatFormFieldControl.value

- Defined in lib/upload-button/upload-button.component.ts:105

### `Static` nextId

nextId: number = 0

- Defined in lib/upload-button/upload-button.component.ts:73

## Accessors

### empty

- get empty(): boolean

- #### Returns boolean

  Implementation of MatFormFieldControl.empty

  - Defined in lib/upload-button/upload-button.component.ts:119

### id

- get id(): string

- #### Returns string

  Implementation of MatFormFieldControl.id

  - Defined in lib/upload-button/upload-button.component.ts:122

### isImage

- get isImage(): boolean

- #### Returns boolean

  - Defined in lib/upload-button/upload-button.component.ts:142

### placeholder

- get placeholder(): string

- #### Returns string

  Implementation of MatFormFieldControl.placeholder

  - Defined in lib/upload-button/upload-button.component.ts:111
- set placeholder(plh): void

- #### Parameters

  - plh: string

  #### Returns void

  Implementation of MatFormFieldControl.placeholder

  - Defined in lib/upload-button/upload-button.component.ts:115

## Methods

### download

- download(): void

- #### Returns void

  - Defined in lib/upload-button/upload-button.component.ts:207

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in lib/upload-button/upload-button.component.ts:159

### onContainerClick

- onContainerClick(event): void

- #### Parameters

  - event: MouseEvent

  #### Returns void

  Implementation of MatFormFieldControl.onContainerClick

  - Defined in lib/upload-button/upload-button.component.ts:148

### onFileInputChange

- onFileInputChange($event): void

- #### Parameters

  - $event: any

  #### Returns void

  - Defined in lib/upload-button/upload-button.component.ts:218

### onFocusIn

- onFocusIn(event): void

- #### Parameters

  - event: FocusEvent

  #### Returns void

  - Defined in lib/upload-button/upload-button.component.ts:188

### onFocusOut

- onFocusOut(event): void

- #### Parameters

  - event: FocusEvent

  #### Returns void

  - Defined in lib/upload-button/upload-button.component.ts:196

### openOverlay

- openOverlay(): void

- #### Returns void

  - Defined in lib/upload-button/upload-button.component.ts:181

### registerOnChange

- registerOnChange(fn): void

- #### Parameters

  - fn: any

  #### Returns void

  Implementation of ControlValueAccessor.registerOnChange

  - Defined in lib/upload-button/upload-button.component.ts:163

### registerOnTouched

- registerOnTouched(fn): void

- #### Parameters

  - fn: any

  #### Returns void

  Implementation of ControlValueAccessor.registerOnTouched

  - Defined in lib/upload-button/upload-button.component.ts:167

### setDescribedByIds

- setDescribedByIds(ids): void

- #### Parameters

  - ids: string[]

  #### Returns void

  Implementation of MatFormFieldControl.setDescribedByIds

  - Defined in lib/upload-button/upload-button.component.ts:152

### setDisabledState

- setDisabledState(isDisabled): void

- #### Parameters

  - isDisabled: boolean

  #### Returns void

  Implementation of ControlValueAccessor.setDisabledState

  - Defined in lib/upload-button/upload-button.component.ts:171

### writeValue

- writeValue(file): void

- #### Parameters

  - file: File

  #### Returns void

  Implementation of ControlValueAccessor.writeValue

  - Defined in lib/upload-button/upload-button.component.ts:176